> For the complete documentation index, see [llms.txt](https://developers.polymath.network/polymesh-sdk-api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_offerings.offerings.md).

# api\_entities\_Asset\_Offerings.Offerings

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/entities/Asset/Offerings](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_offerings.md) / Offerings

## Class: Offerings

[api/entities/Asset/Offerings](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_entities_asset_offerings.md).Offerings

Handles all Asset Offering related functionality

### Hierarchy

* `Namespace`<[`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md)>

  ↳ **`Offerings`**

### Table of contents

#### Methods

* [get](#get)
* [getOne](#getone)
* [launch](#launch)

### Methods

#### get

▸ **get**(`opts?`): `Promise`<[`OfferingWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.offeringwithdetails.md)\[]>

Retrieve all of the Asset's Offerings and their details. Can be filtered using parameters

**Parameters**

| Name           | Type                                                                                                                           | Description                                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------- |
| `opts`         | `Object`                                                                                                                       | -                                                                                                           |
| `opts.status?` | `Partial`<[`OfferingStatus`](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_entities_offering_types.offeringstatus.md)> | status of the Offerings to fetch. If defined, only Offerings that have all passed statuses will be returned |

**Returns**

`Promise`<[`OfferingWithDetails`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.offeringwithdetails.md)\[]>

**Defined in**

[api/entities/Asset/Offerings.ts:81](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Offerings.ts#L81)

***

#### getOne

▸ **getOne**(`args`): `Promise`<[`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md)>

Retrieve a single Offering associated to this Asset by its ID

**`throws`** if there is no Offering with the passed ID

**Parameters**

| Name      | Type        |
| --------- | ----------- |
| `args`    | `Object`    |
| `args.id` | `BigNumber` |

**Returns**

`Promise`<[`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md)>

**Defined in**

[api/entities/Asset/Offerings.ts:56](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Offerings.ts#L56)

***

#### launch

▸ **launch**(`args`, `opts?`): `Promise`<`TransactionQueue`<[`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md), [`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md), `unknown`\[]\[]>>

Launch an Asset Offering

**`note`** required roles:

* Offering Portfolio Custodian
* Raising Portfolio Custodian

**`note`** this method is of type [ProcedureMethod](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.proceduremethod.md), which means you can call [launch.checkAuthorization](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.proceduremethod.md#checkauthorization) on it to see whether the signing Account and Identity have the required roles and permissions to run it

**Parameters**

| Name    | Type                                                                                        |
| ------- | ------------------------------------------------------------------------------------------- |
| `args`  | `LaunchOfferingParams`                                                                      |
| `opts?` | [`ProcedureOpts`](/polymesh-sdk-api-reference/docs-alpha/interfaces/types.procedureopts.md) |

**Returns**

`Promise`<`TransactionQueue`<[`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md), [`Offering`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_offering.offering.md), `unknown`\[]\[]>>

**Defined in**

[api/entities/Asset/Offerings.ts:47](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/entities/Asset/Offerings.ts#L47)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset_offerings.offerings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
